<div class="row">
    <div class="col-md-6 offset-md-3 mt-5">
        <div class="center">
            <button class="btn btn-sm btn-outline-dark" (click)="handleUserAction()">
               <strong>{{buttonTitle}}</strong>
            </button>
        </div>
    </div>
    <div class="col-md-10 offset-md-1 mt-5" *ngIf="tableStatus">
        <table class="table table-sm table-bordered table-striped table-hover text-center">
            <thead class="table-dark">
                <tr>
                    <th>S No</th>
                    <th>First Name</th>
                    <th>Middle Name</th>
                    <th>Last Name</th>
                    <th>Email</th>
                    <th>Phone</th>
                    <th>Role</th>
                    <th>Address</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let user of usersArray; let i=index">
                    <td>
                        <input type="text" size="2" [disabled]="!user.enableEdit" value={{i+1}}>
                    </td>
                    <td>
                        <input type="text" size="5" [disabled]="!user.enableEdit" value={{user.firstName}}>
                    </td>
                    <td>
                        <input type="text" size="5" [disabled]="!user.enableEdit" value="{{user.middleName ? user.middleName : '-NA-'}}">
                    </td>
                    <td>
                        <input type="text" size="5" [disabled]="!user.enableEdit" value="{{user.lastName}}">
                    </td>
                    <td>
                        <input type="text" size="15" [disabled]="!user.enableEdit" value="{{user.email}}">
                    </td>
                    <td>
                        <input type="text" size="11" [disabled]="!user.enableEdit" value="{{user.phoneNo}}">
                    </td>
                    <td>
                        <input type="text" size="10" [disabled]="!user.enableEdit" value="{{user.role}}">
                    </td>
                    <td>
                        <input type="text" size="10" [disabled]="!user.enableEdit" value="{{user.address}}">
                    </td>
                    <td *ngIf="!user.enableEdit">
                        <button class="btn btn-sm btn-outline-warning mr-2" (click)="user.enableEdit=true">Edit</button>
                        <button class="btn btn-sm btn-outline-danger" (click)="deleteUser(i)">Delete</button>
                    </td>
                    <td *ngIf="user.enableEdit">
                        <button class="btn btn-sm btn-outline-warning mr-2" (click)="updateUser(user, i)">Save</button>
                        <button class="btn btn-sm btn-outline-danger" (click)="user.enableEdit=false">Cancel</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>